Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 697734 - [TRACKER] sys-apps/portage-2.3.79
Summary: [TRACKER] sys-apps/portage-2.3.79
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 220533 646898 658648 673400 695870 697566 697890 697906 698474 699392 699400 699548 701106
Blocks:
  Show dependency tree
 
Reported: 2019-10-14 22:58 UTC by Zac Medico
Modified: 2020-01-17 22:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2019-10-14 22:58:03 UTC
Tracks bugs fixed in this release.
Comment 1 Larry the Git Cow gentoo-dev 2019-10-14 23:01:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e18292c54af86bee8299b6a925d25eb6c55fd77b

commit e18292c54af86bee8299b6a925d25eb6c55fd77b
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2019-10-14 22:53:35 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2019-10-14 23:01:06 +0000

    sys-apps/portage: Bump to version 2.3.77
    
     #220533 Fix FEATURES=skiprocheck read-only DISTDIR support
     #646898 Support GLEP 75 mirror structure
     #658648 Disable emerge --autounmask by default, except for package.use
             and package.license changes
     #695870 Improvements to ebuild(5) man page
    
    Bug: https://bugs.gentoo.org/697734
    Bug: https://bugs.gentoo.org/220533
    Bug: https://bugs.gentoo.org/646898
    Bug: https://bugs.gentoo.org/658648
    Bug: https://bugs.gentoo.org/695870
    Package-Manager: Portage-2.3.77, Repoman-2.3.17
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest              |   1 +
 sys-apps/portage/portage-2.3.77.ebuild | 261 +++++++++++++++++++++++++++++++++
 2 files changed, 262 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2019-10-21 19:16:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ecbfeae408f1bdcfa4241a3f4001d57cf30c3405

commit ecbfeae408f1bdcfa4241a3f4001d57cf30c3405
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2019-10-21 19:12:06 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2019-10-21 19:16:01 +0000

    sys-apps/portage: Bump to version 2.3.78
    
     #697566 fetch: Use FETCHCOMMAND to fetch mirror layout.conf
     #697890 emirrordist: Fix DeletionTask layout assumptions
     #697906 emirrordist: Delete potential symlinks for all layouts
     #698046 make.globals: Change FETCHCOMMAND_RSYNC to --copy-links
    
    Bug: https://bugs.gentoo.org/697734
    Bug: https://bugs.gentoo.org/697566
    Bug: https://bugs.gentoo.org/697890
    Bug: https://bugs.gentoo.org/697906
    Bug: https://bugs.gentoo.org/698046
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest              |   1 +
 sys-apps/portage/portage-2.3.78.ebuild | 261 +++++++++++++++++++++++++++++++++
 2 files changed, 262 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2019-10-24 19:40:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f13f09de05113a98cecb840b4e6343002fcbc101

commit f13f09de05113a98cecb840b4e6343002fcbc101
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2019-10-24 19:37:51 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2019-10-24 19:40:29 +0000

    sys-apps/portage: 2.3.78-r1 revbump for bug 698474
    
    Closes: https://bugs.gentoo.org/698474
    Bug: https://bugs.gentoo.org/697734
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/{portage-2.3.78.ebuild => portage-2.3.78-r1.ebuild} | 3 +++
 1 file changed, 3 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2019-10-29 02:04:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb7c020a6779d020cc781eeb159ab9e60791c9a4

commit fb7c020a6779d020cc781eeb159ab9e60791c9a4
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2019-10-29 01:57:24 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2019-10-29 02:01:08 +0000

    sys-apps/portage: 2.3.78-r2 revbump for bug 698046
    
    This avoids confusing "No such file or directory" errors as demonstrated
    by the following test case:
    
    $ ln -s /foo/bar /tmp/sudo-1.8.29rc1.tar.gz
    $ wget http://distfiles.gentoo.org/distfiles/sudo-1.8.29rc1.tar.gz -O /tmp/sudo-1.8.29rc1.tar.gz
    /tmp/sudo-1.8.29rc1.tar.gz: No such file or directory
    
    Bug: https://bugs.gentoo.org/697734
    Bug: https://bugs.gentoo.org/698046
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 .../portage/{portage-2.3.78-r1.ebuild => portage-2.3.78-r2.ebuild}   | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
Comment 5 Larry the Git Cow gentoo-dev 2019-11-09 05:22:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a95264dd3d846c10045644d5385d96826fbbae78

commit a95264dd3d846c10045644d5385d96826fbbae78
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2019-11-09 05:16:02 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2019-11-09 05:22:38 +0000

    sys-apps/portage: Bump to version 2.3.79
    
     #673400 emerge: fix error message for unknown options
     #699392 emirrordist: _recycle_copier_exit UnboundLocalError
     #699400 emirrordist: clean up FileCopier exception logging
     #699548 install.py: ignore -Z / --context
    
    Bug: https://bugs.gentoo.org/697734
    Bug: https://bugs.gentoo.org/673400
    Bug: https://bugs.gentoo.org/699392
    Bug: https://bugs.gentoo.org/699400
    Bug: https://bugs.gentoo.org/699548
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest              |   1 +
 sys-apps/portage/portage-2.3.79.ebuild | 261 +++++++++++++++++++++++++++++++++
 2 files changed, 262 insertions(+)